# opentl::tracker::InfoFilter Class Reference

Inherits opentl::tracker::Tracker.

List of all members.

## Classes
class | InfoFilterData
## Public Member Functions
virtual void | correct (TargetPtrVector &targets)
| Perform the measurement, and update the state for all targets.
| InfoFilter (opentl::modalities::Likelihood &likelihood, opentl::modelprojection::Warp &warp)
| Constructor.
virtual void | init (TargetPtrVector &targets, std::vector< boost::shared_ptr< opentl::core::State > > *initStates=NULL, std::vector< boost::shared_ptr< math::SquareMatrix > > *initCovs=NULL, std::vector< int > *nHypotheses=NULL)
| Initialize: allocate internal data, and update warp, for all targets.
virtual void | predict (TargetPtrVector &targets)
| Predict the state for multiple targets.
void | predictZeroT ()
virtual | ~InfoFilter ()
## Protected Member Functions
virtual void | output (TargetPtrVector &targets)
| Compute the output state for all targets.

## Constructor & Destructor Documentation

opentl::tracker::InfoFilter::InfoFilter | ( | opentl::modalities::Likelihood & | likelihood,
|  | opentl::modelprojection::Warp & | warp |
| ) |  |  |

Constructor.

Parameters:

  | likelihood | Likelihood class (for explicit measurements)
  | targets | Vector of targets
  | warp | The warp class

virtual opentl::tracker::InfoFilter::~InfoFilter | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void opentl::tracker::InfoFilter::correct | ( | TargetPtrVector & | targets | ) | `[virtual]`

Perform the measurement, and update the state for all targets.

Parameters:

  | targets | Vector of targets

Implements opentl::tracker::Tracker.

virtual void opentl::tracker::InfoFilter::init | ( | TargetPtrVector & | targets,
|  | std::vector< boost::shared_ptr< opentl::core::State > > * | initStates = `NULL`,
|  | std::vector< boost::shared_ptr< math::SquareMatrix > > * | initCovs = `NULL`,
|  | std::vector< int > * | nHypotheses = `NULL` |
| ) |  |  | `[virtual]`

Initialize: allocate internal data, and update warp, for all targets.

Parameters:

  | targets | Vector of targets
  | initStates | Vector of initial states (optional); it must have same size of targets
  | initCovs | Vector of initial covariances (optional); it must have the same size of targets
  | nHypotheses | Vector with number of state hypotheses for each target distribution (not used here)

Implements opentl::tracker::Tracker.

virtual void opentl::tracker::InfoFilter::output | ( | TargetPtrVector & | targets | ) | `[inline, protected, virtual]`

Compute the output state for all targets.

Parameters:

  | targets | Vector of targets

Reimplemented from opentl::tracker::Tracker.

virtual void opentl::tracker::InfoFilter::predict | ( | TargetPtrVector & | targets | ) | `[virtual]`

Predict the state for multiple targets.

Parameters:

  | targets | Vector of targets

Implements opentl::tracker::Tracker.

void opentl::tracker::InfoFilter::predictZeroT | ( |  | ) |